Bug 868291 - Broken OSGi Import-Package header
Broken OSGi Import-Package header
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jline2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 08:35 EDT by Severin Gehwolf
Modified: 2012-11-13 04:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 04:03:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix to ignore non-existing jansi.internal package (1.97 KB, patch)
2012-10-19 08:35 EDT, Severin Gehwolf
no flags Details | Diff
git formatted patch (2.63 KB, patch)
2012-10-22 06:35 EDT, Severin Gehwolf
no flags Details | Diff

  None (edit)
Description Severin Gehwolf 2012-10-19 08:35:47 EDT
Created attachment 630009 [details]
Proposed fix to ignore non-existing jansi.internal package

Description of problem:
jline2 in F18 has an Import-Package: org.fusesource.jansi.internal which does not exist in a recent build of jansi. It contains only Windows related classes anyway (at least for the only import which jline2 has for it). This breaks thermostat-0.4.0-1.fc18 with a bundling wiring error.

Version-Release number of selected component (if applicable):
jline2-2.5-6.fc18

How reproducible:
Always.

Steps to Reproduce:
1. Install thermostat on F18 from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=360984
2. $ thermostat
3. Observe wiring error related to jline2/jansi
  
Actual results:
Bundle wiring error.

Expected results:
Thermostat boots.

Additional info:
Patch is attached which fixes this issue.
Comment 1 Severin Gehwolf 2012-10-22 06:35:23 EDT
Created attachment 631389 [details]
git formatted patch
Comment 2 Fedora Update System 2012-10-22 07:26:42 EDT
jline2-2.5-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jline2-2.5-7.fc18
Comment 3 Fedora Update System 2012-10-22 07:26:56 EDT
jline2-2.5-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jline2-2.5-7.fc17
Comment 4 Fedora Update System 2012-10-22 12:56:43 EDT
Package jline2-2.5-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jline2-2.5-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16647/jline2-2.5-7.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.